org.apache.commons.compress.harmony.unpack200.bytecode

## Class AnnotationsAttribute

- java.lang.Object
- - org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry
  - - org.apache.commons.compress.harmony.unpack200.bytecode.Attribute
    - - org.apache.commons.compress.harmony.unpack200.bytecode.AnnotationsAttribute

- Direct Known Subclasses:
    AnnotationDefaultAttribute, RuntimeVisibleorInvisibleAnnotationsAttribute, RuntimeVisibleorInvisibleParameterAnnotationsAttribute

      public abstract class AnnotationsAttribute
      extends Attribute

  Abstract superclass for Annotations attributes

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AnnotationsAttribute.Annotation` Class to represent the annotation structure for class file attributes
    `static class` | `AnnotationsAttribute.ElementValue`

  - ### Field Summary

    - ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.Attribute

      `attributeName`

    - ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

      `NONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationsAttribute(CPUTF8 attributeName)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.Attribute

      `doWrite, equals, getAttributeName, getLength, getLengthIncludingHeader, getNestedClassFileEntries, hasBCIRenumbering, hashCode, isSourceFileAttribute, resolve, writeBody`

    - ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

      `objectHashCode, toString, write`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationsAttribute

          public AnnotationsAttribute(CPUTF8 attributeName)

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.